Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Functions
Halide::BoundaryConditions::Internal Namespace Reference

## Functions
HALIDE_NO_USER_CODE_INLINE void | collect_region (Region &collected_args, const Expr &a1, const Expr &a2)
template<typename... Args>
HALIDE_NO_USER_CODE_INLINE void | collect_region (Region &collected_args, const Expr &a1, const Expr &a2, Args &&...args)
template<typename T >
Func | func_like_to_func (T &&func_like)

## Function Documentation

## ◆ collect_region() [1/2]

HALIDE_NO_USER_CODE_INLINE void Halide::BoundaryConditions::Internal::collect_region | ( | Region & | collected_args,
|  | const Expr & | a1,
|  | const Expr & | a2
| ) |  |
| inline

Definition at line 53 of file BoundaryConditions.h.

References Halide::cast().

Referenced by collect_region(), and Halide::BoundaryConditions::constant_exterior().

## ◆ collect_region() [2/2]

template<typename... Args>

HALIDE_NO_USER_CODE_INLINE void Halide::BoundaryConditions::Internal::collect_region | ( | Region & | collected_args,
|  | const Expr & | a1,
|  | const Expr & | a2,
|  | Args &&... | args
| ) |  |
| inline

Definition at line 59 of file BoundaryConditions.h.

References Halide::cast(), and collect_region().

## ◆ func_like_to_func()

template<typename T >

Func Halide::BoundaryConditions::Internal::func_like_to_func | ( | T && | func_like | ) |

Definition at line 66 of file BoundaryConditions.h.

References Halide::cast(), and Halide::lambda().

Referenced by Halide::BoundaryConditions::constant_exterior(), Halide::BoundaryConditions::constant_exterior(), Halide::BoundaryConditions::constant_exterior(), Halide::BoundaryConditions::constant_exterior(), Halide::BoundaryConditions::mirror_image(), Halide::BoundaryConditions::mirror_image(), Halide::BoundaryConditions::mirror_interior(), Halide::BoundaryConditions::mirror_interior(), Halide::BoundaryConditions::repeat_edge(), Halide::BoundaryConditions::repeat_edge(), Halide::BoundaryConditions::repeat_image(), and Halide::BoundaryConditions::repeat_image().